Subject: Re: [PATCH]: iproute2: enhance enforcement of ifconfig compatible address labels and allow non-compatible ones with -force

From: Joe Harvell <[email-masked]>
Date: Tue, 24 Mar 2015 17:55:36 -0500

Le 24/03/2015 17:11, Stephen Hemminger a écrit :
> On Sat, 21 Mar 2015 17:55:02 +0000
> Joe Harvell <[email-masked]> wrote:
>
>> The ip addr command today rejects address labels that would break
>> ifconfig.  However, it allows some labels which still break it. Enhance
>> enforcement to reject all known incompatible labels, and allow the
>> existing -force option to allow someone to use a label even if it is not
>> ifconfig compatible
>>
>> Make existing -force option of ip addr add skip enforcment of ifconfig
>> compatible address labels.
>> Change enforcement to properly reject labels that do begin with
>> <devname> but are followed by a string that does not begin with colon.
>>
>>
>> The following changes since commit 4612d04d6b8f07274bd5d0688f717ccc189499ad:
>>
>>     tc class: Show class names from file (2015-03-15 12:27:40 -0700)
>>
>> are available in the git repository at:
>>
>>     [email-masked]:jharvell/iproute2.git addr-label-noncompat
>>
>> for you to fetch changes up to 6a1d09e93ae1fb4f7f1cd5981813af918e8efc88:
> Not really enthusiastic about this. It seems to introduce more issues
> and I don't consider it a big issue. If user is creating labels with
> ip and it breaks ifconfig, it is really a case of shooting themselves
> in the foot; or the fact that ifconfig needs to die (or get fixed).
Actually, I agree.  My real motivation for this change is to be able to
create labels that are currently being rejected.  I did this through
a -force option because I assumed no one would agree to remove the
enforcement altogether.  When I noticed during my testing that the
existing enforcement doesn't even catch all the lables that break ifconfig,
I decided to enhance it.  But I'm totally fine with just removing the 
existing
enforcement altogether.